### AUTOUPDATE-OFF: 6
%define dottedver %(echo %version | tr . - )

Name:          lynx
Version:       2.9.2
Release:       1mamba
Summary:       Text based browser for the world wide web
Group:         Applications/Web
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://lynx.invisible-island.net/
Source:        https://invisible-mirror.net/archives/lynx/tarballs/lynx%{version}.tar.bz2
Patch2:        %{name}-2.8.6-tmp_dir.patch
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libbrotli-devel
BuildRequires: libbzip2-devel
BuildRequires: libidn2-devel
BuildRequires: libncurses-devel
BuildRequires: libopenssl-devel
BuildRequires: libperl
BuildRequires: libz-devel
BuildRequires: perl-CGI
BuildRequires: perl-HTML-Parser
BuildRequires: perl-HTML-Tagset
BuildRequires: perl-URI
BuildRequires: perl-devel
## AUTOBUILDREQ-END
BuildRequires: gettext-devel >= 0.14.0
BuildRequires: ncompress
Requires:      gzip
Requires:      sharutils
Requires:      zip

%description
This a terminal based WWW browser.
While it does not make any attempt at displaying graphics, it has good support 
for HTML text formatting, forms, and tables.

%debug_package

%prep
%setup -q -n lynx%{version}
%patch 2 -p1 -b .tmp_dir

%build
%configure \
   --prefix=%{_prefix} \
   --libdir=%{_datadir}/lynx \
   --mandir=%{_mandir} \
   --with-screen=ncurses \
   --enable-8bit-toupper \
   --enable-externs \
   --enable-cgi-links \
   --enable-persistent-cookies \
   --enable-nls \
   --enable-prettysrc \
   --enable-source-cache \
   --enable-charset-choice \
   --enable-default-colors \
   --enable-ipv6 \
   --enable-nested-tables \
   --enable-read-eta \
   --enable-internal-links \
   --enable-libjs \
   --enable-scrollbar \
   --enable-file-upload \
   --enable-addrlist-page \
   --enable-justify-elts \
   --enable-color-style \
   --enable-nsl-fork \
   --with-ssl \
   --with-bzlib \
   --with-zlib \
   --without-x

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%makeinstall install-full DESTDIR=%{buildroot}
%makeinstall install-help DESTDIR=%{buildroot}

install -d %{buildroot}%{_sysconfdir}
echo "\
# place any local lynx configuration options (proxies, etc.) here
" > %{buildroot}%{_sysconfdir}/lynx.cfg

%find_lang %{name}

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -f %{name}.lang
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/lynx.cfg
%config(noreplace) %{_sysconfdir}/lynx.lss
%{_bindir}/lynx
%dir %{_datadir}/lynx_help
%{_datadir}/lynx_help/COPYHEADER
%{_datadir}/lynx_help/COPYING
%{_datadir}/lynx_help/*.html
%dir %{_datadir}/lynx_help/keystrokes
%{_datadir}/lynx_help/keystrokes/*.html
%dir %{_datadir}/lynx_doc
%{_datadir}/lynx_doc/
%{_mandir}/man1/lynx.1*
%doc COPYING

%changelog
* Tue Jun 25 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 2.9.2-1mamba
- update to 2.9.2

* Sat Mar 25 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 2.9.0dev.12-1mamba
- update to 2.9.0dev.12

* Wed May 20 2020 Automatic Build System <autodist@mambasoft.it> 2.9.0dev.5-1mamba
- automatic update by autodist

* Sun Jul 29 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 2.8.9rel.1-1mamba
- update to 2.8.9rel.1

* Sat Feb 15 2014 Automatic Build System <autodist@mambasoft.it> 2.8.8-1mamba
- automatic version update by autodist

* Tue Apr 12 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 2.8.7-3mamba
- moved desktop menu entry file and requirements to the new subpackage lynx-desktop

* Thu Mar 31 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 2.8.7-2mamba
- rebuilt with openssl 1.0.0

* Thu Jul 09 2009 Automatic Build System <autodist@mambasoft.it> 2.8.7-1mamba
- automatic update to 2.8.7 by autodist

* Sat Jul 05 2008 gil <puntogil@libero.it> 2.8.6-1mamba
- update to 2.8.6
- renoved patches: 5,6,7
- added: lynx.desktop

* Mon May 29 2006 Davide Madrisan <davide.madrisan@qilinux.it> 2.8.5-5qilnx
- security update: CVE-2004-1617 (qibug:177)

* Tue Nov 15 2005 Davide Madrisan <davide.madrisan@qilinux.it> 2.8.5-4qilnx
- security fix for CAN-2005-2929 (qibug:72), QSA-2005-133

* Wed Oct 19 2005 Davide Madrisan <davide.madrisan@qilinux.it> 2.8.5-3qilnx
- default configuration file updated

* Wed Oct 19 2005 Davide Madrisan <davide.madrisan@qilinux.it> 2.8.5-2qilnx
- security fix QSA-2005-122 (CAN-2005-3120)
- updates and cleanups on specfile
- added build requirents and support for bzlib

* Thu Feb 05 2004 Davide Madrisan <davide.madrisan@qilinux.it> 2.8.5-1qilnx
- cleanups on specfile
- added localisation
- rebuilt with lynx2.8.5

* Tue Apr 22 2003 Alessandro Ramazzina <alessandro.ramazzina@qinet.it> 2.8.4-1qilnx
- creation of lynx package
